Subject: Re: [PATCH] enable built-in networking for Sequoia defconfig

From: Matthias Fuchs <[email-masked]>
Date: Wed, 9 Jan 2008 15:42:38 +0100

On Wednesday 09 January 2008 13:07, Josh Boyer wrote:
> On Wed, 9 Jan 2008 12:16:25 +0100
> Matthias Fuchs <[email-masked]> wrote:
> 
> > Josh, 
> > 
> > Where did you apply this patch to? Couldn't find it in your for-2.6.25 branch.
> 
> I applied it there, just haven't pushed it out yet.  Will do that today.
> 
> > BTW, is it normal to edit the defconfig file by hand?
> 
> The defconfig?  Not sure.  What I normally do is a make foo_defconfig,
> edit the .config, make oldconfig, and copy the resulting .config back
> to foo_defconfig.
Yes, this is what I also do.

But how did Hollis get these lines into .config or sequoia_defconfig:

+CONFIG_IBM_NEW_EMAC=y
+CONFIG_IBM_NEW_EMAC_RXB=128
+CONFIG_IBM_NEW_EMAC_TXB=64
+CONFIG_IBM_NEW_EMAC_POLL_WEIGHT=32
+CONFIG_IBM_NEW_EMAC_RX_COPY_THRESHOLD=256
+CONFIG_IBM_NEW_EMAC_RX_SKB_HEADROOM=0

I did not find any Kconfigs where these might come from.

Any hint?

Matthias